Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.keys
Class KeyFormatterFactory

    java.lang.Object
      org.eclipse.ui.keys.KeyFormatterFactory

public final class KeyFormatterFactory
extends Object

A cache for formatters. It keeps a few instances of pre-defined instances of `IKeyFormatter` available for use. It also allows the default formatter to be changed.

Since:
  3.0
See Also:
  `IKeyFormatter`

Method Summary
`static IKeyFormatter` | `getCompactKeyFormatter()` Provides an instance of `CompactKeyFormatter`.
`static IKeyFormatter` | `getDefault()` An accessor for the current default key formatter.
`static IKeyFormatter` | `getEmacsKeyFormatter()` Provides an instance of `EmacsKeyFormatter`.
`static IKeyFormatter` | `getFormalKeyFormatter()` Provides an instance of `FormalKeyFormatter`.
`static void` | `setDefault(IKeyFormatter defaultKeyFormatter)` Sets the default key formatter.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getCompactKeyFormatter

    public static final IKeyFormatter getCompactKeyFormatter()

  Provides an instance of `CompactKeyFormatter`.

  Returns:
    The compact formatter; never `null`.

### getDefault

    public static IKeyFormatter getDefault()

  An accessor for the current default key formatter.

  Returns:
    The default formatter; never `null`.

### getEmacsKeyFormatter

    public static IKeyFormatter getEmacsKeyFormatter()

  Provides an instance of `EmacsKeyFormatter`.

  Returns:
    The Xemacs formatter; never `null`.

### getFormalKeyFormatter

    public static IKeyFormatter getFormalKeyFormatter()

  Provides an instance of `FormalKeyFormatter`.

  Returns:
    The formal formatter; never `null`.

### setDefault

    public static void setDefault(IKeyFormatter defaultKeyFormatter)

  Sets the default key formatter.

  Parameters:
    `defaultKeyFormatter` - the default key formatter. Must not be `null`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.